%PAKCS1.14 swi7 VARIABLESHARING

:-noSingletonWarnings.
:-noRedefineWarnings.
:-noDiscontiguousWarnings.

:-importModule('Maybe').
:-importModule('Prelude').
:-importModule('RedBlackTree').


:-curryModule('Set').

%%%%%%%%%%%% function types %%%%%%%%%%%%%%%%%%%
:-multifile functiontype/6.
:-dynamic functiontype/6.
functiontype('Set.empty',empty,0,'Set.empty',nofix,'TCons'('RedBlackTree.RedBlackTree',[_G713302])).
functiontype('Set.null',null,0,'Set.null',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G722208]),'TCons'('Prelude.Bool',[]))).
functiontype('Set.elem',elem,1,'Set.elem',nofix,'FuncType'(_G731072,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G731072]),'TCons'('Prelude.Bool',[])))).
functiontype('Set.insert',insert,0,'Set.insert',nofix,'FuncType'(_G740026,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G740026]),'TCons'('RedBlackTree.RedBlackTree',[_G740026])))).
functiontype('Set.delete',delete,0,'Set.delete',nofix,'FuncType'(_G749022,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G749022]),'TCons'('RedBlackTree.RedBlackTree',[_G749022])))).
functiontype('Set.toList',toList,0,'Set.toList',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G758099]),'TCons'([],[_G758099]))).
functiontype('Set.fromList',fromList,0,'Set.fromList',nofix,'FuncType'('TCons'([],[_G766948]),'TCons'('RedBlackTree.RedBlackTree',[_G766948]))).
functiontype('Set.union',union,1,'Set.union',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G775938]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G775938]),'TCons'('RedBlackTree.RedBlackTree',[_G775938])))).
functiontype('Set.intersect',intersect,2,'Set.intersect',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G785024]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G785024]),'TCons'('RedBlackTree.RedBlackTree',[_G785024])))).
functiontype('Set.disjoint',disjoint,2,'Set.disjoint',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G794107]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G794107]),'TCons'('Prelude.Bool',[])))).

%%%%%%%%%%%% constructor types %%%%%%%%%%%%%%%%%%%
:-multifile constructortype/7.
:-dynamic constructortype/7.

%%%%%%%%%%%% function definitions %%%%%%%%%%%%%%%%%%%
'Set.empty'(_G815243,_G815244,_G815245):-freeze(_G815244,'blocked_Set.empty'(_G815243,_G815244,_G815245)).
'blocked_Set.empty'(_G815401,_G815404,_G815407):-hnf('RedBlackTree.empty'(partcall(2,'Prelude.==',[]),partcall(2,'Prelude.==',[]),partcall(2,'Prelude.<',[])),_G815401,_G815404,_G815407).

'Set.null'(_G816067,_G816068,_G816069):-freeze(_G816068,'blocked_Set.null'(_G816067,_G816068,_G816069)).
'blocked_Set.null'(_G816105,_G816108,_G816111):-hnf(partcall(1,'RedBlackTree.isEmpty',[]),_G816105,_G816108,_G816111).

'Set.elem'(_G816461,_G816462,_G816463,_G816464):-freeze(_G816463,'blocked_Set.elem'(_G816461,_G816462,_G816463,_G816464)).
'blocked_Set.elem'(_G816499,_G816626,_G816629,_G816632):-hnf('Prelude..'(partcall(1,'Maybe.isJust',[]),partcall(1,'RedBlackTree.lookup',[_G816499])),_G816626,_G816629,_G816632).

'Set.insert'(_G817274,_G817275,_G817276):-freeze(_G817275,'blocked_Set.insert'(_G817274,_G817275,_G817276)).
'blocked_Set.insert'(_G817312,_G817315,_G817318):-hnf(partcall(2,'RedBlackTree.update',[]),_G817312,_G817315,_G817318).

'Set.delete'(_G817707,_G817708,_G817709):-freeze(_G817708,'blocked_Set.delete'(_G817707,_G817708,_G817709)).
'blocked_Set.delete'(_G817745,_G817748,_G817751):-hnf(partcall(2,'RedBlackTree.delete',[]),_G817745,_G817748,_G817751).

'Set.toList'(_G818140,_G818141,_G818142):-freeze(_G818141,'blocked_Set.toList'(_G818140,_G818141,_G818142)).
'blocked_Set.toList'(_G818178,_G818181,_G818184):-hnf(partcall(1,'RedBlackTree.tree2list',[]),_G818178,_G818181,_G818184).

'Set.fromList'(_G818618,_G818619,_G818620):-freeze(_G818619,'blocked_Set.fromList'(_G818618,_G818619,_G818620)).
'blocked_Set.fromList'(_G818736,_G818739,_G818742):-hnf(partcall(1,'Prelude.foldr',['Set.empty','Set.insert']),_G818736,_G818739,_G818742).

'Set.union'(_G819256,_G819257,_G819258,_G819259):-freeze(_G819258,'blocked_Set.union'(_G819256,_G819257,_G819258,_G819259)).
'blocked_Set.union'(_G819294,_G819461,_G819464,_G819467):-hnf('Prelude..'(partcall(1,'Prelude.foldr',[_G819294,'Set.insert']),'Set.toList'),_G819461,_G819464,_G819467).

'Set.intersect'(_G820220,_G820221,_G820222,_G820223,_G820224):-freeze(_G820223,'blocked_Set.intersect'(_G820220,_G820221,_G820222,_G820223,_G820224)).
'blocked_Set.intersect'(_G820263,_G820272,_G820632,_G820635,_G820638):-hnf('Prelude.$'('Set.fromList','Prelude.$'(partcall(1,'Prelude.filter',[partcall(1,'Prelude.flip',[_G820272,partcall(1,'Set.elem',[])])]),'Prelude.apply'('Set.toList',_G820263))),_G820632,_G820635,_G820638).

'Set.disjoint'(_G821818,_G821819,_G821820,_G821821,_G821822):-freeze(_G821821,'blocked_Set.disjoint'(_G821818,_G821819,_G821820,_G821821,_G821822)).
'blocked_Set.disjoint'(_G821861,_G821870,_G822030,_G822033,_G822036):-hnf('Prelude.apply'('Set.null','Set.intersect'(_G821861,_G821870)),_G822030,_G822033,_G822036).

:-costCenters(['']).




%%%%% Number of shared variables: 0
